package com.bocloud.cmp.model.agile;

/**
 * 虚拟交换机类
 *
 * @author songsong
 */
public class AgileStormSuppressModel {
    private Boolean broadcastEnable; // 使能设备上以BD为单位的广播能力
    private Boolean multicastEnable; // 使能设备上以BD为单位的组播能力
    private Boolean unicastEnable; // 使能设备上以BD为单位的单播能力
    private String broadcastCbs; // Broadcastcbs，单位为byte时，取值范围为 10000～4294967295，单位为kbyte时，取值范围为 9～4194303，单位为mbyte时，取值范围为1～4095
    private String broadcastCbsUnit; // 广播cbs单位。枚举类型，支持的取值：byte、kbyte和mbyte
    private Integer broadcastCir; // 广播cir，单位为Kbps时，取值范围为 0～4294967295，单位为Mbps时，取值范围为0～4294967，单位为Gbps时，取值范围为0～4294
    private String broadcastCirUnit; // 广播cir单位。枚举类型，支持的取值： gbps，mbps or kbps
    private String unicastCbs; // Unicastcbs，单位为byte时，取值范围为 10000～4294967295，单位为kbyte时，取值范围为 9～4194303，单位为mbyte时，取值范围为1～4095
    private String unicastCbsUnit; // Unicast cbs 单位。枚举类型，支持的取值：byte、kbyte和mbyte
    private Integer unicastCir; // 单播cir，单位为Kbps时，取值范围为 0～4294967295，单位为Mbps时，取值范围为0～4294967，单位为Gbps时，取值范围为0～4294
    private String unicastCirUnit; // 单播cir单位。枚举类型，支持的取值：gbps，mbps or kbps
    private String multicastCbs; // Multicastcbs，单位为byte时，取值范围为10000～4294967295，单位为kbyte时，取值范围为9～4194303，单位为mbyte时，取值范围为1～4095
    private String multicastCbsUnit; // Multicast cbs单位。枚举类型，支持的取值：byte、kbyte和mbyte
    private Integer multicastCir; // 多播cir，单位为Kbps时，取值范围为 0～4294967295，单位为Mbps时，取值范围为0～4294967，单位为Gbps时，取值范围为0～4294
    private String multicastCirUnit; // Multicast cir 单位。枚举类型，支持的取值：gbps，mbps or kbps

    public Boolean getBroadcastEnable() {
        return broadcastEnable;
    }

    public void setBroadcastEnable(Boolean broadcastEnable) {
        this.broadcastEnable = broadcastEnable;
    }

    public Boolean getMulticastEnable() {
        return multicastEnable;
    }

    public void setMulticastEnable(Boolean multicastEnable) {
        this.multicastEnable = multicastEnable;
    }

    public Boolean getUnicastEnable() {
        return unicastEnable;
    }

    public void setUnicastEnable(Boolean unicastEnable) {
        this.unicastEnable = unicastEnable;
    }

    public String getBroadcastCbs() {
        return broadcastCbs;
    }

    public void setBroadcastCbs(String broadcastCbs) {
        this.broadcastCbs = broadcastCbs;
    }

    public String getBroadcastCbsUnit() {
        return broadcastCbsUnit;
    }

    public void setBroadcastCbsUnit(String broadcastCbsUnit) {
        this.broadcastCbsUnit = broadcastCbsUnit;
    }

    public Integer getBroadcastCir() {
        return broadcastCir;
    }

    public void setBroadcastCir(Integer broadcastCir) {
        this.broadcastCir = broadcastCir;
    }

    public String getBroadcastCirUnit() {
        return broadcastCirUnit;
    }

    public void setBroadcastCirUnit(String broadcastCirUnit) {
        this.broadcastCirUnit = broadcastCirUnit;
    }

    public String getUnicastCbs() {
        return unicastCbs;
    }

    public void setUnicastCbs(String unicastCbs) {
        this.unicastCbs = unicastCbs;
    }

    public String getUnicastCbsUnit() {
        return unicastCbsUnit;
    }

    public void setUnicastCbsUnit(String unicastCbsUnit) {
        this.unicastCbsUnit = unicastCbsUnit;
    }

    public Integer getUnicastCir() {
        return unicastCir;
    }

    public void setUnicastCir(Integer unicastCir) {
        this.unicastCir = unicastCir;
    }

    public String getUnicastCirUnit() {
        return unicastCirUnit;
    }

    public void setUnicastCirUnit(String unicastCirUnit) {
        this.unicastCirUnit = unicastCirUnit;
    }

    public String getMulticastCbs() {
        return multicastCbs;
    }

    public void setMulticastCbs(String multicastCbs) {
        this.multicastCbs = multicastCbs;
    }

    public String getMulticastCbsUnit() {
        return multicastCbsUnit;
    }

    public void setMulticastCbsUnit(String multicastCbsUnit) {
        this.multicastCbsUnit = multicastCbsUnit;
    }

    public Integer getMulticastCir() {
        return multicastCir;
    }

    public void setMulticastCir(Integer multicastCir) {
        this.multicastCir = multicastCir;
    }

    public String getMulticastCirUnit() {
        return multicastCirUnit;
    }

    public void setMulticastCirUnit(String multicastCirUnit) {
        this.multicastCirUnit = multicastCirUnit;
    }
}
